Skip to main content
POST
/
v4
/
core
/
companies
/
{companyId}
/
sync-config
/
reset
/
{dataModel}
Reset a data model's sync config
curl --request POST \
  --url https://api.integrations.commenda.io/v4/core/companies/{companyId}/sync-config/reset/{dataModel} \
  --header 'api_key: <api-key>'
import requests

url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/sync-config/reset/{dataModel}"

headers = {"api_key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {api_key: '<api-key>'}};

fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/sync-config/reset/{dataModel}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
number
required
dataModel
enum<string>
required
Available options:
ACCOUNT,
BALANCE_SHEET,
BANK_ACCOUNT,
BANK_TRANSACTION,
BILL,
BILL_CREDIT_NOTE,
BILL_PAYMENT,
CASH_FLOW_STATEMENT,
COMPANY_INFO,
CONTACT,
CURRENCY,
DOCUMENT,
EXPENSE,
GOODS_RECEIPT_NOTE,
INCOME_STATEMENT,
INVOICE,
INVOICE_CREDIT_NOTE,
INVOICE_PAYMENT,
ITEM,
JOURNAL_ENTRY,
JOURNAL_LINE,
PROJECT,
PURCHASE_ORDER,
SALES_ORDER,
ESTIMATE,
TAX_RATE,
TRACKING_CATEGORY,
CASH_SALE,
CASH_REFUND,
BALANCE,
DISPUTE,
ORDER,
PAYOUT,
SUBSCRIPTION,
TRANSACTION,
EVENT,
FULFILLMENT,
INVENTORY,
COMPANY,
LEAD,
OPPORTUNITY,
PIPELINE,
PIPELINE_STAGE,
NOTE,
TASK,
OWNER,
ENGAGEMENT,
ADDRESS,
EXTERNAL_LINK,
LINE_ITEM,
PHONE_NUMBER,
VARIANT

Response

200

The data model's sync config was reset.